resources:
    App\Entity\Software:
        processor: App\State\Processor\SoftwareProcessor
        input: App\Dto\Input\SoftwareInput
        output: App\Dto\Output\SoftwareOutput
        normalizationContext:
            groups: ['default', 'software:read']
        denormalizationContext:
            groups: ['software:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\SoftwareProvider
                filters:
                    - 'api_platform.filter.software.order'
                    - 'api_platform.filter.software.search'

            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\SoftwareProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\SoftwareProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\SoftwareProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\Software:
        id:
            identifier: false
        uuid:
            identifier: true